%global base_name       parent
%global short_name      commons-%{base_name}

Name:             apache-%{short_name}
Version:          15
Release:          1%{?dist}
Summary:          Apache Commons Parent Pom
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://svn.apache.org/repos/asf/commons/proper/%{short_name}/tags/%{short_name}-%{version}/

# svn export http://svn.apache.org/repos/asf/commons/proper/commons-parent/tags/commons-parent-15
# tar caf commons-parent-15.tar.xz commons-parent-15
Source0:          %{short_name}-%{version}.tar.xz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires:         maven2 >= 2.2.1
Requires:         maven-antrun-plugin
Requires:         maven-assembly-plugin
Requires:         maven-compiler-plugin
Requires:         maven-idea-plugin
Requires:         maven-install-plugin
Requires:         maven-jar-plugin
Requires:         maven-javadoc-plugin
Requires:         maven-plugin-bundle
Requires:         maven-resources-plugin
Requires:         maven-surefire-plugin
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils


%description
The Project Object Model files for the apache-commons packages.

%prep
%setup -q -n %{short_name}-%{version}

%build
#nothing to do for the pom

%install
rm -rf %{buildroot}

%add_to_maven_depmap org.apache.commons %{short_name} %{version} JPP %{short_name}

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{short_name}.pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%changelog
* Wed Oct 20 2010 Chris Spike <chris.spike@arcor.de> 15-1
- Initial version of the package

